function Get-CentralPlacement {
    # Ask for LS Central Version.
    [CmdletBinding()]
    param (
        [Parameter(Mandatory = $false)][string]$Placement,
        [Parameter(Mandatory = $false)][bool]$ConfirmAll = $false
    )

    # Allow user to use existing value or to update it.
    if ((Confirm-SingleValue -Description 'LS Central placement' -Value $Placement -ConfirmAll $ConfirmAll) -eq $true) { return $Placement }
    
    Write-Host # Newline.
    $params = @{
        Question = 'Select which type of LS Central you have:'
        Options = @(
            'On_Premises',
            'SaaS_In_Cloud'
        )
    }

    return Open-LSQuestion @params
}